Package com.dropbox.core.v2.sharing
Class ListReceivedFilesBuilder
java.lang.Object
com.dropbox.core.v2.sharing.ListReceivedFilesBuilder
The request builder returned by
DbxUserSharingRequests.listReceivedFilesBuilder().
Use this class to set optional request parameters and complete the request.
-
Method Summary
Modifier and TypeMethodDescriptionstart()Issues the request.withActions(List<FileAction> actions) Set value for optional field.Set value for optional field.
-
Method Details
-
withLimit
Set value for optional field.If left unset or set to
null, defaults to100L.- Parameters:
limit- Number of files to return max per query. Defaults to 100 if no limit is specified. Must be greater than or equal to 1 and be less than or equal to 300. Defaults to100Lwhen set tonull.- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
withActions
Set value for optional field.- Parameters:
actions- A list of `FileAction`s corresponding to `FilePermission`s that should appear in the response'sSharedFileMetadata.getPermissions()field describing the actions the authenticated user can perform on the file. Must not contain anullitem.- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
start
Issues the request.
-